import request from "@/utils/request";

// // 更新委外用料清单
// export function updateOutSourceBomDetail(data) {
//   return request({
//     url: '/rtkwms/out-source-bom-detail/update',
//     method: 'put',
//     data: data
//   })
// }

// // 删除委外用料清单
// export function deleteOutSourceBomDetail(id) {
//   return request({
//     url: '/rtkwms/out-source-bom-detail/delete?id=' + id,
//     method: 'delete'
//   })
// }

// 获得倒冲发料明细
export function getStockAllotMasterDetail(id) {
  return request({
    url: "/rtkwms/stock-allot-detail/getDetail?allotOrderNo=" + id,
    method: "get",
  });
}

// 获得倒冲发料主页面列表
export function getStockAllotMasterPage(query) {
  return request({
    url: "/rtkwms/stock-allot-master/page2",
    method: "get",
    params: query,
  });
}

// 倒冲发料扫描物料
export function stockAllotInfoByQrCode(query) {
  return request({
    url: "/rtkwms/label-master/getInfoByQrCode",
    method: "get",
    params: query,
  });
}

// 倒冲发料保存
export function saveStockAllotMaster(data) {
  return request({
    url: "/rtkwms/stock-allot-master/create",
    method: "post",
    data: data,
  });
}

// 签收
export function saveStockAllotSign(data) {
  return request({
    url: "/rtkwms/stock-allot-master/sign",
    method: "post",
    data: data,
  });
}

// // 导出委外用料清单 Excel
// export function exportOutSourceBomDetailExcel(query) {
//   return request({
//     url: '/rtkwms/out-source-bom-detail/export-excel',
//     method: 'get',
//     params: query,
//     responseType: 'blob'
//   })
// }
